#if !defined(__mdtmssgb_h)              // Sentry, use file only if it's not already included.
#define __mdtmssgb_h

/*  Project emedit
    Early Morning Software
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    emedit.exe Application
    FILE:         mdtmssgb.h
    AUTHOR:       Ted Stockwell


    OVERVIEW
    ========
    Class definition for emeditMessageBar (TMessageBar).      
*/

#include <owl\owlpch.h>
#if !defined(__OWL_MESSAGEB_H)
  #include "owl\messageb.h"
#endif
#if !defined(__OWL_TEXTGADG_H)
  #include "owl\textgadg.h"
#endif
#pragma hdrstop

#include "emedtapp.rh"            // Definition of all resources.


//{{TMessageBar = emeditMessageBar}}
class emeditMessageBar : public TMessageBar {
public:

    emeditMessageBar (TWindow* parent = 0);
    virtual ~emeditMessageBar ();

    void SetInsertIndicator( BOOL );
    void SetModifyIndicator( BOOL on = FALSE );
    BOOL GetInsertIndicator();
    BOOL GetModifyIndicator();
    void GetPositionIndicator( long& X, long& Y, long& Count );
    void SetPositionIndicator( long X= 0, long Y= 0, long cnt= 0 );

    struct TSpacing {
      TMargins::TUnits  Units;
      int               Value;

      TSpacing() {Units = TMargins::LayoutUnits; Value = 0;}
    };
protected:
    long XPosition, YPosition, Count;
    TTextGadget* PositionGadget;
    TTextGadget* InsertGadget;
    TTextGadget* ModifyGadget;
    TSpacing               Spacing;

    TTextGadget* GetIndicatorGadget( int i );

//{{emeditMessageBarVIRTUAL_BEGIN}}
public:
//{{emeditMessageBarVIRTUAL_END}}
};    //{{emeditMessageBar}}


#endif                                      // __mdtmssgb_h sentry.

