#if !defined(__padedit_h)              // Sentry, use file only if it's not already included.
#define __padedit_h

/*  Project emedit
    Early Morning Software
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    emedit.exe Application
    FILE:         padedit.h
    AUTHOR:       Ted Stockwell


    OVERVIEW
    ========
    Class definition for emeditEditor.
    This class is derived from TVbxEditor and just adds a few methods used
    in the EditPad application
*/


#include <owl\opensave.h>
#ifndef __EMEDIT_H
  #include <emedit.h>
  #define __EMEDIT_H
#endif
#include "replace.h"


class emeditEditor : public TVbxEditor {
public:
    TOpenSaveDialog::TData FileData;
    const char far* FileName;
    DWORD FileFlags;

    emeditEditor(TWindow* parent, int resourceId,
              const char far* fileName = 0,
              const DWORD fileFlags= 0,
              TModule* module=0);

    ~emeditEditor();

	 //
	 // Accessing
	 //
	 long    Count()
		{ long count= 0; GetPropCount( count ); return count; }
	 long    CaretY()
		{ long Y= 0; GetPropCaretY( Y ); return Y; }
	 long    CaretX()
		{ long Y= 0; GetPropCaretX( Y ); return Y; }
	 BOOL    IsDirty()
		{ int isdirty= TRUE; GetPropIsDirty( isdirty ); return isdirty ? TRUE : FALSE; }
	 void    ClearDirty()
		{ SetPropIsDirty( 0 ); }
	 BOOL    GetLine(string& str, long lineNumber);
	 BOOL    GetLine(char far* str, UINT strSize, long lineNumber);

    virtual BOOL  CanClear();
    virtual BOOL  CanClose();

    void          Open();
    BOOL          Read(const char far* fileName=0);
    void          ReplaceWith(const char far* fileName);
    BOOL          Save();
    BOOL          SaveAs();
    void          SetFileName(const char far* fileName);
    BOOL          Write(const char far* fileName=0);

    //
    // command response functions
    //
    void CmFileOpen() {Open();}      // CM_FILEOPEN
    void CmFileSave() {Save();}      // CM_FILESAVE
    void CmFileSaveAs() {SaveAs();}  // CM_FILESAVEAS
    UINT EvGetDlgCode (MSG far*);    // trap tabs and enter keys
//    void BeginMessage (VBXEVENT FAR *event);
//    void EndMessage (VBXEVENT FAR *event);

    //
    // command enabler functions
    //
    void          CmSaveEnable(TCommandEnabler& commandHandler);

  protected:
    //
    // override virtual functions defined by TWindow
    //
    void          SetupWindow();

  DECLARE_RESPONSE_TABLE(emeditEditor);
};




#endif                                      // __replace_h sentry.

