#if !defined(__mdtchldc_h)              // Sentry, use file only if it's not already included.
#define __mdtchldc_h

/*  Project emedit
    Early Morning Software
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    emedit.exe Application
    FILE:         mdtchldc.h
    AUTHOR:       Ted Stockwell


    OVERVIEW
    ========
    Class definition for emeditChildClient (TDialog).      
*/

#include <owl\owlpch.h>
#include <owl\dialog.h>

#include <owl\vbxctl.h>
#ifndef __EMEDIT_H
  #include <emedit.h>
  #define __EMEDIT_H
#endif
#pragma hdrstop

#include "emedtapp.rh"            // Definition of all resources.
#include "padedit.h"

//{{TDialog = emeditChildClient}}
class emeditChildClient : public TDialog, public TVbxEventHandler {
public:
    emeditEditor* editor; // instance variable for editor control

    emeditChildClient (TWindow* parent, TResId resId = IDD_CHILDCLIENT, TModule* module = 0);
    virtual ~emeditChildClient ();
    void UpdateStatusBar();
    void SetSearchProperties(emeditReplaceDialogXfer& SearchData);
    const char* GetHilitedString();
//{{emeditChildClientVIRTUAL_BEGIN}}
public:
    virtual BOOL PreProcessMsg (MSG& msg);
//{{emeditChildClientVIRTUAL_END}}

//{{emeditChildClientRSP_TBL_BEGIN}}
protected:
    void EvSize (UINT sizeType, TSize& size);
    void CmEditClearEnable (TCommandEnabler &tce);
    void CmEditSelectEnable (TCommandEnabler &tce);
    void CmEditClear ();
    void CmEditCopy ();
    void CmEditCut ();
    void CmEditDelete ();
    void CmEditWrap ();
    void CmEditPasteEnable (TCommandEnabler &tce);
    void CmEditPaste ();
    void CmEditSelectAll ();
    void CaretChange (VBXEVENT FAR *event);
    void Change (VBXEVENT FAR *event);
    void CmEditUndoEnable (TCommandEnabler &tce);
    void CmEditRedoEnable (TCommandEnabler &tce);
    void CmEditRedo ();
    void CmEditUndo ();
    void CmEditFindEnable (TCommandEnabler &tce);
    void CmEditFind ();
    void CmEditFindNext ();
    void CmEditFindNextEnable (TCommandEnabler &tce);
    void CmEditReplace ();
    void CmEditReplaceEnable (TCommandEnabler &tce);
    void SearchReplaceConfirm (VBXEVENT FAR *event);
//{{emeditChildClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(emeditChildClient);
};    //{{emeditChildClient}}


#endif                                      // __mdtchldc_h sentry.

