#if !defined(__mdtmdicl_h)              // Sentry, use file only if it's not already included.
#define __mdtmdicl_h

/*  Project emedit
    Early Morning Software
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    emedit.exe Application
    FILE:         mdtmdicl.h
    AUTHOR:       Ted Stockwell


    OVERVIEW
    ========
    Class definition for emeditMDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#include <owl\opensave.h>
#pragma hdrstop

#include "emedtapp.rh"            // Definition of all resources.


//{{TMDIClient = emeditMDIClient}}
class emeditMDIClient : public TMDIClient {
public:
    int ChildCount;           // Number of child window created.
    TOpenSaveDialog::TData  FileData;  // Data to control open/saveas standard dialog.

    emeditMDIClient ();
    virtual ~emeditMDIClient ();

    void OpenFile (const char *fileName = 0);
    void GetRecentFiles();
    void WriteRecentFiles();
    void AppendFileMenuItem(const char* fileitem);
    void SetDefaultBlockMarks( ENUM BlkType );
    void SetInsertMode( BOOL mode );

//{{emeditMDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
    virtual void CleanupWindow ();
//{{emeditMDIClientVIRTUAL_END}}

//{{emeditMDIClientRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFilePrint ();
    void CmFilePrintSetup ();
    void CmFilePrintPreview ();
    void CmPrintEnable (TCommandEnabler &tce);
    void EvDropFiles (TDropInfo);
    void CmOptionsFont ();
    void CmOptionsFontEnable (TCommandEnabler &tce);
    void CmEditSelectAllEnable (TCommandEnabler &tce);
    void CmEditTimeDateEnable (TCommandEnabler &tce);
    void CmEditSelectAll ();
    void CmEditTimeDate ();
    void CmFileCloseEnable (TCommandEnabler &tce);
    void CmFileClose ();
    void CmEditWrapEnable (TCommandEnabler &tce);
    void CmEditWrap ();
    void CmStreamBlockEnable (TCommandEnabler &tce);
    void CmFileLast1Enable (TCommandEnabler &tce);
    void CmFileLast2Enable (TCommandEnabler &tce);
    void CmFileLast3Enable (TCommandEnabler &tce);
    void CmFileLast4Enable (TCommandEnabler &tce);
    void CmFileLast1 ();
    void CmFileLast2 ();
    void CmFileLast3 ();
    void CmFileLast4 ();
    void CmLineBlockEnable (TCommandEnabler &tce);
    void CmColumnBlockEnable (TCommandEnabler &tce);
    void CmColumnBlock ();
    void CmLineBlock ();
    void CmStreamBlock ();
    void CMEditClearEnable (TCommandEnabler &tce);
//{{emeditMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(emeditMDIClient);
};    //{{emeditMDIClient}}


#endif                                      // __mdtmdicl_h sentry.
